import Request from '@/utils/request/request-util';

/**
 * low_code -业务图api
 *
 */
export class BusinessGraphApi {
  /**
   * 添加
   * @param {*} params
   */
  static add(params) {
    return Request.post('/businessDiagram/add', params);
  }
  /**
   * 编辑
   * @param {*} params
   */
  static edit(params) {
    return Request.post('/businessDiagram/edit', params);
  }
  /**
   * 删除单个
   * @param {*} params
   */
  static delete(params) {
    return Request.post('/businessDiagram/delete', params);
  }
  /**
   * 批量删除
   * @param {*} params
   */
  static batchDelete(params) {
    return Request.post('/businessDiagram/batchDelete', params);
  }
  /**
   * 详情
   * @param {*} params
   */
  static detail(params) {
    return Request.getAndLoadData('/businessDiagram/detail', params);
  }
  /**
   * 列表
   * @param {*} params
   */
  static list(params) {
    return Request.getAndLoadData('/businessDiagram/list', params);
  }

  /**
   * 分页列表
   * @param {*} params
   */
  static page(params) {
    return Request.get('/businessDiagram/page', params);
  }
}
